Subject: Ticket Assigned - Click & Collect
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Wed, 14 Apr 2021 05:17:21 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I ordered an item March 18 last month and it is never delivered so I cancelled it 2 weeks ago via customer service as I couldn't do it online.  Upon checking on the status it is still on processing . I would like to cancel  and kindly process this request as soon as possible.  I  do not want unnecessary charges on my card.

Order no: #9643085151 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2394025